<?php

class DashboardController extends Controller
{
    public function index()
    {
        $this->view('dashboard/index');
    }

    public function dadosDespesas()
{
    $conexao = Database::getInstance();
    $stmt = $conexao->prepare("
        SELECT MONTH(criado_em) AS mes, SUM(total) AS total
        FROM diarias_funcionarios
        GROUP BY mes
    ");
    $stmt->execute();
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);
    echo json_encode($resultado);
}


    public function despesasporTipo()
{
    $conexao = Database::getInstance();
    $sql = "SELECT descricao AS tipo, SUM(valor) as total 
            FROM despesas_diversas 
            GROUP BY descricao";
    $stmt = $conexao->prepare($sql);
    $stmt->execute();
    $resultados = $stmt->fetchAll(PDO::FETCH_ASSOC);
    echo json_encode($resultados);
}




    public function ordensPorStatus()
{
    $conexao = Database::getInstance();
    $stmt = $conexao->prepare("
        SELECT s.descricao AS status, COUNT(*) AS total
        FROM ordens o
        INNER JOIN status s ON o.id_status = s.id_status
        GROUP BY s.descricao
    ");
    $stmt->execute();
    $resultado = $stmt->fetchAll(PDO::FETCH_ASSOC);
    echo json_encode($resultado);
}

public function diariasPorFuncionario()
{
    $conexao = Database::getInstance();
    $sql = "SELECT p.nome, SUM(df.total) as total
            FROM diarias_funcionarios df
            JOIN funcionarios f ON f.id_funcionario = df.id_funcionario
            JOIN pessoas p ON p.id_pessoa = f.id_pessoa
            WHERE df.removido IS NULL
            GROUP BY p.nome
            ORDER BY total DESC
            LIMIT 5";
    $stmt = $conexao->prepare($sql);
    $stmt->execute();
    $dados = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($dados);
}




   

}
